﻿@using AdminCaja.Areas.Admin.Models.Procedures
@model ProcedureViewModel
<!-- ============================================================== -->
<!-- Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<div class="row page-titles">
    <div class="col-md-5 col-8 align-self-center">
        <h3 class="text-themecolor m-b-0 m-t-0">Editar Home</h3>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/Admin">Inicio </a></li>
            <li class="breadcrumb-item"><a href="/Admin/Procedures/Index">Trámites</a></li>
            @if (Model.Id == 0)
            {
                <li class="breadcrumb-item active">Nuevo trámite</li>
            }
            else
            {
                <li class="breadcrumb-item active">@Model.Name</li>
            }

        </ol>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="row">
    <!-- column -->
    <div class="col-lg-12 help-content">
        <div id="" class="card wow slideInRight" data-wow-delay=".3s" data-wow-offset="300">
            <div class="perfil-head"></div>
            <div class="card-block">
                @using (Html.BeginForm("Save", "Procedures", FormMethod.Post, new { @class = "form-horizontal form-material" }))
                {
                    <input type="hidden" name="Id" value="@Model.Id" />
                    <div class="form-group">
                        <div class="form-group">
                            @Html.LabelFor(m => m.Name, new { htmlAttributes = new { @class = "col-form-label" } })
                            @Html.EditorFor(m => m.Name, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(m => m.Name)
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="message-text" class="col-form-label">Tipo de cliente</label>
                        <select class="form-control" id="CodSegmento" name="CodSegmento">
                            <option value="1">Depositante</option>
                            <option value="2">Inversores</option>
                            <option value="3">Emisor</option>
                            <option value="4">Titular de cuenta en el registro</option>
                            <option value="5">Responsable CHPD / Pagarés</option>
                            <option value="6">Otros trámites</option>
                        </select>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(m => m.ProcedureTypeId, new { htmlAttributes = new { @class = "col-form-label" } })
                        @Html.DropDownListFor(m => m.ProcedureTypeId, Model.ProcedureTypes, new { @class = "form-control" })
                        @Html.ValidationMessageFor(m => m.ProcedureTypeId)
                    </div>
                    <div class="form-group">
                        <label for="message-text" class="col-form-label"> Servicios asociados:</label>
                        <br>
                        @foreach (var item in Model.Services)
                        {
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="checkbox" id="@("inlineCheckbox" + item.Value)" name="SelectedServices" value="@item.Value"
                                       @if (Model.SelectedServices != null && Model.SelectedServices.Contains(int.Parse(item.Value))) { <text> checked </text>  }>
                                <label class="form-check-label" for="@("inlineCheckbox" + item.Value)">@item.Text</label>
                            </div>
                        }
                    </div>
                    <div class="form-group">
                        <div class="form-group">
                            @Html.LabelFor(m => m.WhatIsIt, new { htmlAttributes = new { @class = "col-form-label" } })
                            @Html.TextAreaFor(m => m.WhatIsIt, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.WhatIsIt)
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-group">
                            @Html.LabelFor(m => m.ForWhom, new { htmlAttributes = new { @class = "col-form-label" } })
                            @Html.TextAreaFor(m => m.ForWhom, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.ForWhom)
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-group">
                            @Html.LabelFor(m => m.HowTo, new { htmlAttributes = new { @class = "col-form-label" } })
                            @Html.TextAreaFor(m => m.HowTo, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.HowTo)
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-group">
                            @Html.LabelFor(m => m.WhereIs, new { htmlAttributes = new { @class = "col-form-label" } })
                            @Html.TextAreaFor(m => m.WhereIs, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.WhereIs)
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-group">
                            @Html.LabelFor(m => m.Area, new { htmlAttributes = new { @class = "col-form-label" } })
                            @Html.TextAreaFor(m => m.Area, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.Area)
                        </div>
                    </div>
                    <div class="form-group">
                        <dir class="row no-padding">
                            <div class="col-lg-8"><h3>Adjuntar documentación</h3></div>
                            <div class="col-lg-4">
                                <p>
                                    @Html.ActionLink("Agregar documento", "NewFile", new { ProcedureId = Model.Id, type = AdminCaja.Models.ProcedureFileType.document }, new { @class = "btn btn-export", data_modal = "popup" })
                                </p>
                            </div>
                        </dir>
                    </div>
                    <div class="card-block no-padding" id="panelDocument">
                        <div class="table-responsive">
                            @Html.Partial("_documentList", Model.Files.Where(x => x.Type == AdminCaja.Models.ProcedureFileType.document).OrderBy(x => x.Order).ToList())
                        </div>
                    </div>
                    <br>
                    <div class="form-group">
                        <dir class="row no-padding">
                            <div class="col-lg-8"><h3>Adjuntar formulario</h3></div>
                            <div class="col-lg-4">
                                <p>
                                    @Html.ActionLink("Agregar formulario", "NewFile", new { ProcedureId = Model.Id, type = AdminCaja.Models.ProcedureFileType.form }, new { @class = "btn btn-export", data_modal = "popup" })

                                </p>
                            </div>
                        </dir>
                        <div class="card-block no-padding" id="panelForm">
                            @Html.Partial("_documentList", Model.Files.Where(x => x.Type == AdminCaja.Models.ProcedureFileType.form).OrderBy(x => x.Order).ToList())
                        </div>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary">Guardar</button>
                    </div>
                }
            </div>
        </div>
    </div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->
<!-- ============================================================== -->
@section scripts{
    <script>
        function modalFormExecute(key, result) {
            if (result.type === 0) {
                $("#panelDocument").load(result.url);
            } else {
                $("#panelForm").load(result.url);
            }
        }

        $(function () {
            $('input[type="file"]').change(function () {
                var fileName = $(this).val().match(/[^\\/]*$/)[0];
                var span = $("label[for='" + $(this).attr('id') + "']").find("span");
                span.text(fileName);
            });
        })
     </script>
    }
}